Subject: [manet] RE: [Aodvimpl] [Fwd: AODV v11: Ratelimit of control messages]

From: "Mullen, John P. (Contractor)" <[email-masked]>
Date: Wed, 4 Sep 2002 09:05:03 -0600

Hi Luke,

Well, suppose you had a central command position in firefighting and that a
complicated procedure, which would involve different commands to each of
many remote nodes was necessary.  The decision to initiate the process could
easily generate RRQs for over ten separate nodes per second.

If you selectively rebroadcast RRQ's, how do you decide which nodes to
ignore?  If you ignore them, how does the node know that you are ignoring
them so it doesn't send out a RRQ with a higher hop limit, expanding the
ring search further than necessary?  If you ignore the node, but another
node does not, how do you avoid a situation in which a long path (which will
consume more bandwidth in the channel due to excess retransmissions) instead
of a shorter one is chosen?

It seems a better solution is to limit the RRQ at the source.  That way, the
initiating node will know what is going on and act accordingly.

As far as limiting total packets, some protocols do this.  However, it is
somewhat different in that the count would include message packets, ACKs,
control packets and UDPs.

John Mullen

-----Original Message-----
From: Luke Klein-Berndt [mailto:[email-masked]]
Sent: Wednesday, September 04, 2002 8:49 AM
To: Mullen, John P. (Contractor); Aodvimpl-Public
Subject: RE: [Aodvimpl] [Fwd: AODV v11: Ratelimit of control messages]

Hi John,
To that end, I would agree with Eric and say there are already mechanism in
place to deal with that. AODV already limits the number of RREQ that can be
sent out for a specific destination. A scenario where rate limiting would
come into play would require a node to RREQ over 10 seperate addresses in a
second. For this to occur somthing would have to be seriously out of wack.
While rate limiting is not a bad idea, I am not convinced it is needed.

I also do not think channel hogging is the real problem here. Instead, I
think the real problem is that RREQs can get rebroadcast across the entire
network. So instead of a local problem you would have a network wide
problem. That is why I suggested only listening to and rebroadcast a certian
number of RREQ from a given node. If the real concern is an overly chatty
node, wouldn't it be more effective to limit the total number of packets
being broadcast by a node?

-Luke

> -----Original Message-----
> From: Mullen, John P. (Contractor)
> [mailto:[email-masked]]
> Sent: Wednesday, September 04, 2002 10:00 AM
> To: Luke Klein-Berndt; Aodvimpl-Public
> Subject: RE: [Aodvimpl] [Fwd: AODV v11: Ratelimit of control messages]
>
>
> Hi Luke,
>
> In mobile radio, it is not possible to simply stop listening to a node.
> Every transmission on the channel prevents anyone else in the
> vicinity from
> using that channel.  The MAC layer has to monitor the channel to minimize
> the risk of data collisions.
>
> I suspect the rate limiting was introduced to limit the risk of a chatty
> node monopolizing the channel.
>
> John Mullen
>
> -----Original Message-----
> From: Luke Klein-Berndt [mailto:[email-masked]]
> Sent: Wednesday, September 04, 2002 7:10 AM
> To: Erik Nordström; Aodvimpl-Public
> Subject: RE: [Aodvimpl] [Fwd: AODV v11: Ratelimit of control messages]
>
>
> I agree with Eric on this. I am also curious why this was added.
> If this is
> a security measure to prevent flooding of the network with RREQs
> it doesn't
> seem to make sense. If anyone really wanted to do it they could just alter
> the rate limiting code and create a rouge version of AODV. From a security
> point of view, wouldn't it make more sense to stop listening to a
> node if it
> is sending out more than X number of RREQs a second? It would be
> rather easy
> to intergrate something like this into the RREQ ID check already done on
> RREQs. Just my thoughts on the subject.
>
> -Luke
>
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]On Behalf Of Erik
> > Nordström
> > Sent: Wednesday, September 04, 2002 5:08 AM
> > To: Aodvimpl-Public
> > Subject: [Aodvimpl] [Fwd: AODV v11: Ratelimit of control messages]
> >
> >
> > Here is a message I sent to the MANET list. Unfortunately it didn't
> > create much of a discussion there. Maybe there is more interest on the
> > implementors list...
> >
> > Erik
> >
> >
>
>
>
> -------------------------------------------------------
> This sf.net email is sponsored by: OSDN - Tired of that same old
> cell phone?  Get a new here for FREE!
> https://www.inphonic.com/r.asp?r=sourceforge1&refcode1=vs3390
> _______________________________________________
> Aodvimpl-public mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/aodvimpl-public
>
_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet